from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XEventListener

@runtime_checkable
class XWindowListener(XEventListener, Protocol):
    def windowResized(self, e: WindowEvent) -> None: ...
    def windowMoved(self, e: WindowEvent) -> None: ...
    def windowShown(self, e: EventObject) -> None: ...
    def windowHidden(self, e: EventObject) -> None: ...
